<?php
function sec_session_start() {
        $session_name = 'sec_session_id'; // Set a custom session name
        $secure = false; // Set to true if using https.
        $httponly = true;

        ini_set('session.use_only_cookies', 1);
        $cookieParams = session_get_cookie_params();
        session_set_cookie_params($cookieParams["lifetime"], $cookieParams["path"], $cookieParams["domain"], $secure, $httponly);
        session_name($session_name);
        session_start();
        session_regenerate_id();
}
function getData($span='hour', $mysqli){
    $interval = array('minute'  => array('format' => '%d/%m-%Y %H:%i'  , 'limit' => 1),
                      'hour'    => array('format' => '%d/%m-%Y %H'     , 'limit' => 24),
                      'day'     => array('format' => '%d/%m-%Y'        , 'limit' => 744),
                      'month'   => array('format' => '%m/%Y'           , 'limit' => 8760)
   );
    $results = array('watt' => array(), 'date' => array());
    if (array_key_exists($span, $interval)) {
        $limit = '-' . $interval[$span]['limit'] . ' HOUR';
        $query="SELECT DATE_FORMAT(datetime, '".$interval[$span]['format']."') AS date, COUNT(id) AS watt FROM measurepower.watthours WHERE datetime > DATE_ADD(NOW(), INTERVAL ".$limit.") GROUP BY date ORDER BY date DESC";
        if ($stmt = $mysqli->query($query)) {
        $noRows=$stmt->num_rows;
        if($noRows >= 1) {
            $i=0;
            while($get = $stmt->fetch_object()){
                $results['watt'][$i] = floatval($get->watt / 1000);
                $results['date'][$i] = $get->date;
                $i++;
            }
             return $results;
        }else{
            echo "No rows found in DB, maybe you need to put your DB-password in ./readlight?";
        }
        }else{
            echo "Query failed:<br>".$query;
        }
    }else{
        echo "Invalid interval";
    }
}
?>