<?php
// Just for testing purposes
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
// REMOVE THE 3 LINES ABOVE WHEN YOUR RPi IS SETUP AND RUNNING

include ('mysql.database.php');
include ('functions.php');
sec_session_start();
ob_start('ob_gzhandler');

// SETTINGS, ADJUST TO FIT YOUR INSTALLATION
$currency = "kr.";
$kwhprice = "2.1";
$location = "Home";
$intervalmultiply = 1;
// NO NEED TO EDIT ANYTHING BELOW

$interval = isset($_REQUEST['interval']) ? $_REQUEST['interval'] : 'hour';
$result = getData($interval, $mysqli);
?>
<!DOCTYPE html>
<html>
<head>
	<title>CheapPowerMeter</title>
   <link rel="stylesheet" type="text/css" href="style.css">
   <script src="jquery.canvasjs.min.js"></script>
</head>
<body>
   <header>
	   <h1>CheapPowerMeter</h1>
   </header>
   <div id="application">
   	<nav>
   		<ul>
            <li><a href='?interval=minute'>Minutes</a></li>
   			<li><a href='?interval=hour'>Hours</a></li>
   			<li><a href='?interval=day'>Days</a></li>
   			<li><a href='?interval=month'>Months</a></li>
   		</ul>
   	</nav>
   	Usage right now: <strong><?php echo round(($result['watt'][0]*$intervalmultiply),2) ?> kWh / <?php echo round(((($result['watt'][0]*$intervalmultiply))*$kwhprice),2) . " $currency p/hr." ?></strong>
    <div id="chartContainer" style="height: 400px; width: 100%;"></div>
   	<table>
   	   <thead>
   	      <tr>
   	         <th align="left">Date</th>
   	         <th align="left">kWh</th>
   	         <th align="left">Price</th>
   	      </tr>
   	   </thead>
   	   <tbody>
   	      <?php foreach ($result['watt'] as $key => $value) { ?>
<tr>
            <td style="width:150px;"><?php echo $result['date'][$key] ?></td>
   	        <td style="width:100px;"><?php echo round($value,3) ?> kWh</td>
   	        <td style="width:100px;"><?php echo round(((($value)*$kwhprice)),4) . " $currency" ?> </td>
   	      </tr>
   	      <?php } ?>
   	   </tbody>
   	</table>
   </div>
<script>
window.onload = function() {
		var chart = new CanvasJS.Chart("chartContainer", {
            theme: "theme2",
            axisX: {
                interval:1,
            },
            axisY:{
                labelFormatter: function(e){
				    return  e.value + " kWh";
			    }
            },
            data: [{
				type: "column",
                color: "#4F81BC",
				dataPoints: [ <?php foreach($result['watt'] AS $num => $watt){print '{y:'.$watt.', label:"'.$result['date'][$num].'"}, ';}  ?> ]
			}]
		});
		chart.render();
	}
</script>
</body>
</html>